Bug 61843 - squid-config executable illegal pointer to consolehelper
Summary: squid-config executable illegal pointer to consolehelper
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: squid-config (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-03-25 05:37 UTC by Dean Samuels
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 07:10:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dean Samuels 2002-03-25 05:37:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
After installing the squid-config rpm the squid-config exe in /usr/sbin/ gets
converted to a symlink which points to /usr/sbin/consolehelper which is a
non-existant file.  The rpm should create a symlink /usr/bin/squid-config which
points to /usr/bin/consolehelper which in turn calls the real
/usr/sbin/squid-config exe.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install squid-config rpm
2. 
3. 
	

Actual Results:  squid-config cannot be run as it points to a non-existant
consolehelper exe in /usr/sbin.  

Expected Results:  squid-config exe should be in /usr/sbin/, squid-config
symlink should be  in /usr/bin and points to /usr/bin/consolehelper.

Additional info:

problem is in Makefile of source.

Comment 1 Bill Huang 2002-03-26 02:51:03 UTC
This bug is fixed in redhat-config-squid-0.5-4.
Would you please check the latest version in dist-7.3-HEAD? Thanks.


Comment 2 Jay Turner 2002-03-26 13:57:39 UTC
The latest built version is actually 0.5-3 and this issue is not resolved in
that version.

Comment 3 Jay Turner 2002-03-26 13:58:46 UTC
We still don't have a '/usr/bin/squid-config' link which points to
'/usr/bin/consolehelper'

Comment 4 Bill Huang 2002-03-27 07:10:19 UTC
OK.It is finally fixed in 0.5-6.


Note You need to log in before you can comment on or make changes to this bug.